import { signal } from '@angular/core';

export const mockFileManagerSvc = {
  file: signal<File | null>(null),
  imagePreviewUrl: signal<string | null>(null),
  fileError: signal<string | null>(null),
  resetFile: jest.fn(),
  formatFileSize: jest.fn((size) => `${size} Octets`), // Simule le formatage
  removeFile: jest.fn(),
  onPictureChange: jest.fn(),
};
